import request from '@/utils/request'

// 查询订单信息表列表
export function listAppletOrderItemDateLog(query) {
  return request({
    url: '/model/AppletOrderItemDateLog/list',
    method: 'get',
    params: query
  })
}

// 查询订单信息表详细
export function getAppletOrderItemDateLog(id) {
  return request({
    url: '/model/AppletOrderItemDateLog/' + id,
    method: 'get'
  })
}

// 新增订单信息表
export function addAppletOrderItemDateLog(data) {
  return request({
    url: '/model/AppletOrderItemDateLog',
    method: 'post',
    data: data
  })
}

// 修改订单信息表
export function updateAppletOrderItemDateLog(data) {
  return request({
    url: '/model/AppletOrderItemDateLog',
    method: 'put',
    data: data
  })
}

// 删除订单信息表
export function delAppletOrderItemDateLog(id) {
  return request({
    url: '/model/AppletOrderItemDateLog/' + id,
    method: 'delete'
  })
}

// 导出订单信息表
export function exportAppletOrderItemDateLog(query) {
  return request({
    url: '/model/AppletOrderItemDateLog/export',
    method: 'get',
    params: query
  })
}
